from django import template

register = template.Library()

from django.db.models import Q
from django.contrib.auth.models import User
from wagtail.models import Page
from math import ceil
import calendar
from blogs.models import WebPage,NewsPage


@register.simple_tag
def menus():
    return Page.objects.filter(show_in_menus=True)


@register.simple_tag
def web_page(type):
    if WebPage.objects.filter(title=type).exists():
        return WebPage.objects.get(title=type)
    else:
        return "GPD"


@register.simple_tag
def latest_news(id):
    return NewsPage.objects.all().exclude(id=id).order_by("-first_published_at")[:5]
